# IRfBitmapFn Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | Attach ([in] IRdBitmap *pBitmap)
HRESULT | Detach ()
HRESULT | LockBuffer ([in] RtBool bWrite)
HRESULT | UnlockBuffer ()
HRESULT | BilinearFilterDW_COLOR ([in] RtFloat u,[in] RtFloat v,[in] RtBool wrap,[out, retval] RtDWORD *pColor)
HRESULT | BilinearFilterFL_GRAY ([in] RtFloat u,[in] RtFloat v,[in] RtBool wrap,[out, retval] RtFloat *pColor)
HRESULT | PixelValueDW_COLOR ([in] RtDWORD x,[in] RtDWORD y,[out, retval] RtDWORD *pColor)
HRESULT | PixelValueFL_GRAY ([in] RtDWORD x,[in] RtDWORD y,[out, retval] RtFloat *pColor)
HRESULT | StretchBlt ([in] int x,[in] int y,[in] int xsize,[in] int ysize,[in] IRdBitmap *pSource)
HRESULT | GetPixel ([in] RtDWORD x,[in] RtDWORD y,[out] RtBitmapFnPixelValue *pPixelValue)
HRESULT | PutPixel ([in] RtDWORD x,[in] RtDWORD y,[in] const RtBitmapFnPixelValue &PixelValue)
HRESULT | BlendPixel ([in] const RtBitmapFnPixelValue &p1,[in] const RtBitmapFnPixelValue &p2,[in] RtDWORD mode,[out] RtBitmapFnPixelValue *pResult)
HRESULT | BilinearFilter ([in] RtFloat u,[in] RtFloat v,[in] RtBool wrap,[out] RtBitmapFnPixelValue *pResult)
HRESULT | FillTriangle ([in] const RtUVcoord *a,[in] const RtUVcoord *b,[in] const RtUVcoord *c,[in] RtDWORD color)
HRESULT | Line ([in] int x0,[in] int y0,[in] int x1,[in] int y1,[in] RtDWORD color,[in] RtFloat thickness)
HRESULT | FastLine ([in] int x0,[in] int y0,[in] int x1,[in] int y1,[in] RtDWORD color)
HRESULT | GetBitmap ([out, retval] IRdBitmap **ppBitmap)

## Detailed Description

IRfBitmapFn.

## Member Function Documentation

HRESULT IRfBitmapFn::Attach | ( | [in] IRdBitmap * | pBitmap | ) |

Attach

Parameters:

  | pBitmap | [in] .

HRESULT IRfBitmapFn::Detach | ( |  | ) |

Detach

HRESULT IRfBitmapFn::LockBuffer | ( | [in] RtBool | bWrite | ) |

LockBuffer

Parameters:

  | bWrite | [in] .

HRESULT IRfBitmapFn::UnlockBuffer | ( |  | ) |

UnlockBuffer

HRESULT IRfBitmapFn::BilinearFilterDW_COLOR | ( | [in] RtFloat | u,
|  | [in] RtFloat | v,
|  | [in] RtBool | wrap,
|  | [out, retval] RtDWORD * | pColor |
| ) |  |  |

BilinearFilterDW_COLOR

Parameters:

  | u | [in] .
  | v | [in] .
  | wrap | [in] .

Returns:
  pColor [out,retval] .

HRESULT IRfBitmapFn::BilinearFilterFL_GRAY | ( | [in] RtFloat | u,
|  | [in] RtFloat | v,
|  | [in] RtBool | wrap,
|  | [out, retval] RtFloat * | pColor |
| ) |  |  |

BilinearFilterFL_GRAY

Parameters:

  | u | [in] .
  | v | [in] .
  | wrap | [in] .

Returns:
  pColor [out,retval] .

HRESULT IRfBitmapFn::PixelValueDW_COLOR | ( | [in] RtDWORD | x,
|  | [in] RtDWORD | y,
|  | [out, retval] RtDWORD * | pColor |
| ) |  |  |

PixelValueDW_COLOR

Parameters:

  | x | [in] .
  | y | [in] .

Returns:
  pColor [out,retval] .

HRESULT IRfBitmapFn::PixelValueFL_GRAY | ( | [in] RtDWORD | x,
|  | [in] RtDWORD | y,
|  | [out, retval] RtFloat * | pColor |
| ) |  |  |

PixelValueFL_GRAY

Parameters:

  | x | [in] .
  | y | [in] .

Returns:
  pColor [out,retval] .

HRESULT IRfBitmapFn::StretchBlt | ( | [in] int | x,
|  | [in] int | y,
|  | [in] int | xsize,
|  | [in] int | ysize,
|  | [in] IRdBitmap * | pSource |
| ) |  |  |

StretchBlt

Parameters:

  | x | [in] .
  | y | [in] .
  | xsize | [in] .
  | ysize | [in] .
  | pSource | [in] .

HRESULT IRfBitmapFn::GetPixel | ( | [in] RtDWORD | x,
|  | [in] RtDWORD | y,
|  | [out] RtBitmapFnPixelValue * | pPixelValue |
| ) |  |  |

GetPixel

Parameters:

  | x | [in] .
  | y | [in] .
  | pPixelValue | [out] .

HRESULT IRfBitmapFn::PutPixel | ( | [in] RtDWORD | x,
|  | [in] RtDWORD | y,
|  | [in] const RtBitmapFnPixelValue & | PixelValue |
| ) |  |  |

PutPixel

Parameters:

  | x | [in] .
  | y | [in] .
  | PixelValue | [in] .

HRESULT IRfBitmapFn::BlendPixel | ( | [in] const RtBitmapFnPixelValue & | p1,
|  | [in] const RtBitmapFnPixelValue & | p2,
|  | [in] RtDWORD | mode,
|  | [out] RtBitmapFnPixelValue * | pResult |
| ) |  |  |

BlendPixel

Parameters:

  | p1 | [in] .
  | p2 | [in] .
  | mode | [in] .
  | pResult | [out] .

HRESULT IRfBitmapFn::BilinearFilter | ( | [in] RtFloat | u,
|  | [in] RtFloat | v,
|  | [in] RtBool | wrap,
|  | [out] RtBitmapFnPixelValue * | pResult |
| ) |  |  |

BilinearFilter

Parameters:

  | u | [in] .
  | v | [in] .
  | wrap | [in] .
  | pResult | [out] .

HRESULT IRfBitmapFn::FillTriangle | ( | [in] const RtUVcoord * | a,
|  | [in] const RtUVcoord * | b,
|  | [in] const RtUVcoord * | c,
|  | [in] RtDWORD | color |
| ) |  |  |

FillTriangle

Parameters:

  | a | [in] .
  | b | [in] .
  | c | [in] .
  | color | [in] .

HRESULT IRfBitmapFn::Line | ( | [in] int | x0,
|  | [in] int | y0,
|  | [in] int | x1,
|  | [in] int | y1,
|  | [in] RtDWORD | color,
|  | [in] RtFloat | thickness |
| ) |  |  |

Line

Parameters:

  | x0 | [in] .
  | y0 | [in] .
  | x1 | [in] .
  | y1 | [in] .
  | color | [in] .
  | thickness | [in] .

HRESULT IRfBitmapFn::FastLine | ( | [in] int | x0,
|  | [in] int | y0,
|  | [in] int | x1,
|  | [in] int | y1,
|  | [in] RtDWORD | color |
| ) |  |  |

FastLine

Parameters:

  | x0 | [in] .
  | y0 | [in] .
  | x1 | [in] .
  | y1 | [in] .
  | color | [in] .

HRESULT IRfBitmapFn::GetBitmap | ( | [out, retval] IRdBitmap ** | ppBitmap | ) |

GetBitmap

Returns:
  ppBitmap [out,retval] Bitmap is returned.